## sandboxgamemaker 2.5+dfsg

=== src/Makefile ===
DEFINES =
MACHINENAME=
CXXFLAGS= -O3 -fomit-frame-pointer $(DEFINES)
override CXXFLAGS+= -Wall -fsigned-char

PLATFORM= $(shell uname -s)
PLATFORM_PREFIX=sandbox

INCLUDES= -Ishared -Iengine -Ienet/include

STRIP=
ifeq (,$(findstring -g,$(CXXFLAGS)))
ifeq (,$(findstring -pg,$(CXXFLAGS)))
  STRIP=strip
endif
endif

MV=mv

ifneq (,$(findstring MINGW,$(PLATFORM)))
WINDRES= windres
CLIENT_INCLUDES= $(INCLUDES) -Iinclude
CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
else
CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
CLIENT_LIBS= -Lenet -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
endif
ifeq ($(PLATFORM),Linux)
CLIENT_LIBS+= -lrt
ifneq (,$(findstring _64,$(shell uname -m)))
MACHINENAME=64
else
MACHINENAME=32
endif
endif

CLIENT_OBJS= \
	shared/crypto.o \
	shared/geom.o \
	shared/stream.o \
	shared/tools.o \
	shared/zip.o \
	engine/3dgui.o \
	engine/bih.o \
	engine/blend.o \
	engine/blob.o \
	engine/client.o	\
	engine/command.o \
	engine/console.o \
	engine/cubeloader.o \
	engine/decal.o \
	engine/dynlight.o \
	engine/glare.o \
	engine/grass.o \
	engine/lightmap.o \
	engine/main.o \
	engine/material.o \
	engine/menus.o \
	engine/movie.o \
	engine/normal.o	\
	engine/octa.o \
	engine/octaedit.o \
	engine/octarender.o \
	engine/pvs.o \
	engine/physics.o \
	engine/rendergl.o \
	engine/rendermodel.o \
	engine/renderparticles.o \
	engine/rendersky.o \
	engine/rendertext.o \
	engine/renderva.o \
	engine/server.o	\
	engine/serverbrowser.o \
	engine/shader.o \
	engine/shadowmap.o \
	engine/sound.o \
	engine/texture.o \
	engine/ui.o \
	engine/water.o \
	engine/world.o \
	engine/worldio.o

ifneq (,$(findstring MINGW,$(PLATFORM)))
CLIENT_OBJS+= vcpp/SDL_win32_main.o
endif

FPSCLIENT_OBJS= \
	fpsgame/ai.o \
	fpsgame/client.o \
	fpsgame/entities.o \
	fpsgame/fps.o \
	fpsgame/monster.o \
	fpsgame/movable.o \
	fpsgame/render.o \
	fpsgame/scoreboard.o \
	fpsgame/server.o \
	fpsgame/waypoint.o

SSPCLIENT_OBJS = \
	sspgame/ssp.o \
	sspgame/sspent.o \
	sspgame/sspentities.o \
	sspgame/sspweapons.o \
	sspgame/sspmonster.o \
	sspgame/ssprender.o \
	sspgame/sspstubs.o

RPGCLIENT_OBJS = \
	rpggame/rpg.o \
	rpggame/rpgobj.o \
	rpggame/rpgentities.o \
	rpggame/rpgstubs.o \
	rpggame/rpgrender.o \
	rpggame/rpggui.o \
	rpggame/rpgscript.o \
	rpggame/rpgproj.o \
	rpggame/rpgstats.o \
	rpggame/rpgent.o \
	rpggame/rpgio.o \
	rpggame/rpghud.o

MOVIECLIENT_OBJS= \
	moviecube/action.o \
	moviecube/characterinfo.o \
	moviecube/client.o \
	moviecube/clientmode.o \
	moviecube/control.o \
	moviecube/entities.o \
	moviecube/mapentities.o \
	moviecube/movable.o \
	moviecube/moviecube.o \
	moviecube/render.o \
	moviecube/server.o

CLIENT_PCH= shared/cube.h.gch engine/engine.h.gch fpsgame/game.h.gch sspgame/sspgame.h.gch rpggame/rpggame.h.gch moviecube/game.h.gch

ifneq (,$(findstring MINGW,$(PLATFORM)))
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
SERVER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
else
SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
SERVER_LIBS= -Lenet -lenet -lz
endif

SERVER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/server-standalone.o

FPSSERVER_OBJS = \
	fpsgame/server-standalone.o

MOVIESERVER_OBJS= \
	moviecube/server-standalone.o

MASTER_OBJS= \
	shared/crypto-standalone.o \
	shared/stream-standalone.o \
	shared/tools-standalone.o \
	engine/command-standalone.o \
	engine/master-standalone.o

LAUNCHER_LIBS= `wx-config --libs`
LAUNCHER_FLAGS= `wx-config --cxxflags`
LAUNCHER_OBJS= \
	launcher/pasl.o \
	launcher/paslapp.o

ifeq ($(PLATFORM),SunOS)
CLIENT_LIBS+= -lsocket -lnsl -lX11
SERVER_LIBS+= -lsocket -lnsl
endif

default: all

$(LAUNCHER_OBJS): CXXFLAGS += $(LAUNCHER_FLAGS)

pasl:   $(LAUNCHER_OBJS)
	$(CXX) $(CXXFLAGS) $(LAUNCHER_FLAGS) -o launch $(LAUNCHER_OBJS) $(LAUNCHER_LIBS)
	cp launch ../launcher
	strip ../launcher
	chmod +x ../launcher

all: client server

enet/Makefile:
	cd enet; ./configure

libenet: enet/Makefile
	$(MAKE)	-C enet/ all

clean-enet: enet/Makefile
	$(MAKE) -C enet/ clean

clean:
	-$(RM) $(SERVER_OBJS) $(FPSSERVER_OBJS) $(MOVIESERVER_OBJS) $(CLIENT_PCH) $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(RPGCLIENT_OBJS) $(FPSCLIENT_OBJS) $(MOVIECLIENT_OBJS) $(LAUNCHER_OBJS) $(MASTER_OBJS) $(PLATFORM_PREFIX)_server_* $(PLATFORM_PREFIX)_client_*

%.h.gch: %.h
	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
	$(MV) $@.tmp $@

%-standalone.o: %.cpp
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst -standalone.o,.cpp,$@)

$(CLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES)

$(filter shared/%,$(CLIENT_OBJS)): $(filter shared/%,$(CLIENT_PCH))
$(filter engine/%,$(CLIENT_OBJS)): $(filter engine/%,$(CLIENT_PCH))

$(SSPCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Isspgame
$(filter sspgame/%,$(SSPCLIENT_OBJS)): $(filter sspgame/%,$(CLIENT_PCH))

$(FPSCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Ifpsgame
$(filter fpsgame/%,$(FPSCLIENT_OBJS)): $(filter fpsgame/%,$(CLIENT_PCH))

$(RPGCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Irpggame
$(filter rpggame/%,$(RPGCLIENT_OBJS)): $(filter rpggame/%,$(CLIENT_PCH))

$(MOVIECLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Imoviecube
$(filter moviecube/%,$(MOVIECLIENT_OBJS)): $(filter moviecube/%,$(CLIENT_PCH))

$(SERVER_OBJS): CXXFLAGS += $(SERVER_INCLUDES)
$(filter-out $(SERVER_OBJS),$(MASTER_OBJS)): CXXFLAGS += $(SERVER_INCLUDES)

$(FPSSERVER_OBJS): CXXFLAGS += -Ifpsgame $(SERVER_INCLUDES)
$(MOVIESERVER_OBJS): CXXFLAGS += -Imoviecube $(SERVER_INCLUDES)

ifneq (,$(findstring MINGW,$(PLATFORM)))
vcpp/%.o:
	$(CXX) $(CXXFLAGS) -c -o $@ $(subst .o,.c,$@)

client: client-fps client-ssp client-rpg client-movie

client-fps:$(CLIENT_OBJS) $(FPSCLIENT_OBJS)
	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_fps.exe vcpp/sandbox.res $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)

client-ssp:$(CLIENT_OBJS) $(SSPCLIENT_OBJS)
	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_ssp.exe vcpp/sandbox.res $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(CLIENT_LIBS)

client-rpg:$(CLIENT_OBJS) $(RPGCLIENT_OBJS)
	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_rpg.exe vcpp/sandbox.res $(CLIENT_OBJS) $(RPGPCLIENT_OBJS) $(CLIENT_LIBS)

client-movie:$(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_movie.exe vcpp/sandbox.res $(CLIENT_OBJS) $(MOVIEPCLIENT_OBJS) $(CLIENT_LIBS)

server: server-fps server-movie

server-fps:$(SERVER_OBJS) $(FPSSERVEROBJS)
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)

server-movie: $(SERVER_OBJS) $(MOVIESERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_movie.exe $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)


master: $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o ../bin/sauer_master.exe $(MASTER_OBJS) $(SERVER_LIBS)
	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)

install: all
else

client:	client-fps client-ssp client-rpg client-movie


client-fps:libenet $(CLIENT_OBJS) $(FPSCLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_fps $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)

client-ssp:libenet $(CLIENT_OBJS) $(SSPCLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_ssp $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(CLIENT_LIBS)

client-rpg:libenet $(CLIENT_OBJS) $(RPGCLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_rpg $(CLIENT_OBJS) $(RPGCLIENT_OBJS) $(CLIENT_LIBS)

client-movie:libenet $(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_movie $(CLIENT_OBJS) $(MOVIECLIENT_OBJS) $(CLIENT_LIBS)

server:	server-fps server-movie

server-fps: libenet $(SERVER_OBJS) $(FPSSERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_server_$(MACHINENAME)_fps $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)

server-movie: libenet $(SERVER_OBJS) $(MOVIESERVER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_server_$(MACHINENAME)_movie $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)

master: libenet $(MASTER_OBJS)
	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_master $(MASTER_OBJS) $(SERVER_LIBS)


install: all
	cp $(PLATFORM_PREFIX)_* ../bin/
ifneq (,$(STRIP))
	strip ../bin/$(PLATFORM_PREFIX)_??????_$(MACHINENAME)*
endif
	chmod +x ../bin/$(PLATFORM_PREFIX)_??????_$(MACHINENAME)*
endif


depend:
	makedepend -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst .o,.cpp,$(CLIENT_OBJS))
	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame $(subst .h.gch,.h,$(CLIENT_PCH))
	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))

distinstall: install
	chmod +x ./install.sh
	exec ./install.sh

distclean:
	rm -rf /usr/local/sandbox/
	rm -f /usr/bin/sandbox

# DO NOT DELETE

shared/crypto.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/crypto.o: shared/command.h shared/iengine.h shared/igame.h
shared/geom.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/geom.o: shared/command.h shared/iengine.h shared/igame.h
shared/stream.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/stream.o: shared/command.h shared/iengine.h shared/igame.h
shared/tools.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/tools.o: shared/command.h shared/iengine.h shared/igame.h
shared/zip.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
shared/zip.o: shared/command.h shared/iengine.h shared/igame.h
engine/3dgui.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/3dgui.o: shared/ents.h shared/command.h shared/iengine.h
engine/3dgui.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/3dgui.o: engine/bih.h engine/texture.h engine/model.h
engine/3dgui.o: engine/textedit.h
engine/bih.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/bih.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/bih.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/bih.o: engine/texture.h engine/model.h
engine/blend.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/blend.o: shared/ents.h shared/command.h shared/iengine.h
engine/blend.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
engine/blend.o: engine/bih.h engine/texture.h engine/model.h
engine/blob.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/blob.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
engine/blob.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
engine/blob.o: engine/texture.h engine/model.h
engine/client.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/client.o: shared/ents.h shared/command.h shared/iengine.h
engine/client.o: shared/igame.h engine/world.h engine/octa.h
engine/client.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/client.o: engine/model.h
engine/command.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/command.o: shared/ents.h shared/command.h shared/iengine.h
engine/command.o: shared/igame.h engine/world.h engine/octa.h
engine/command.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/command.o: engine/model.h
engine/console.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
engine/console.o: shared/ents.h shared/command.h shared/iengine.h
engine/console.o: shared/igame.h engine/world.h engine/octa.h
engine/console.o: engine/lightmap.h engine/bih.h engine/texture.h
engine/console.o: engine/model.h
engine/cubeloader.o: engine/engine.h shared/cube.h shared/tools.h
