=== debian/changelog ===
sandboxgamemaker (2.5+dfsg-5) unstable; urgency=low

  [ Christian Perrier ]
  * Debconf templates and debian/control reviewed by the debian-l10n-
    english team as part of the Smith review project. Closes: #575689
  * [Debconf translation updates]
  * Swedish (Martin Bagge).  Closes: #575874
  * Russian (Yuri Kozlov).  Closes: #575946
  * Czech (Michal Simunek).  Closes: #576011
  * Vietnamese (Clytie Siddall).  Closes: #576017
  * German (Martin Eberhard Schauer).  Closes: #576289
  * Portuguese (Pedro Ribeiro).  Closes: #576306
  * Portuguese (Pedro Ribeiro).  Closes: #577001
  * French (David Prévot).  Closes: #577030
  * Spanish (Francisco Javier Cuadrado).  Closes: #577049

  [ Scott Howard ]
  * Cleaned up wording in .desktop files, added .xpm icon, cleaned up
    debian menu files. Closes: #575387
  * postinst script downloads content to /var/cache/sandboxgamemaker

 -- Scott Howard <showard314@gmail.com>  Sat, 17 Apr 2010 16:49:09 -0400

sandboxgamemaker (2.5+dfsg-4) unstable; urgency=low

  * Added debian/po and set up localization for debconf
  * Merged debian/bin/PAS_downloader into debian/postinst

 -- Scott Howard <showard314@gmail.com>  Tue, 09 Mar 2010 10:46:14 -0500

sandboxgamemaker (2.5+dfsg-3) unstable; urgency=low

  * Switch to dpkg-source 3.0 (quilt) format
  * Added debian/watch
  * cleaned up rules to use dh
  * dropped Build-Depends on quilt and sng
  * cherry picked upstream launcher sandbox_unix_usr 
  * added and new man pages
  * changed .desktop files to use new launcher (Closes: #572097)
  * debian/control add info about vcs
  * uses debconf to prompt about installing PA default content

 -- Scott Howard <showard314@gmail.com>  Sun, 07 Mar 2010 14:01:24 -0500

sandboxgamemaker (2.5+dfsg-2) unstable; urgency=low

  * Added debian/bin/PAS_downloader, debian/postrm 
    to ask user if they want to download and install non-DFSG and large
    default game data from www.sandboxgamemaker.com
  * Bump standards to 3.8.4 (no changes)

 -- Scott Howard <showard314@gmail.com>  Fri, 19 Feb 2010 20:54:36 -0500

sandboxgamemaker (2.5+dfsg-1) unstable; urgency=low

  * Initial upload (Closes: #551000).

 -- Scott Howard <showard314@gmail.com>  Wed, 20 Jan 2010 21:45:25 -0500
