=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	$(MAKE) -C src

override_dh_auto_clean:
	[ ! -f src/Makefile ] || $(MAKE) -C src clean
	rm -f src/sandbox_client src/sandbox_server
	rm -f bin/*
	dh_auto_clean
	
override_dh_auto_install:
	$(MAKE) -C src DESTDIR=$(CURDIR)/debian/sandboxgamemaker install
	
override_dh_installchangelogs:
	dh_installchangelogs -k sandboxtodo.txt



ORIG_TARBALL=PlatinumArtsSandbox2.5Multiplatform.zip
ORIG_DIRECTORY=PlatinumArtsSandbox2.5
ORIG_DFSG_NAME=sandboxgamemaker-2.5+dfsg

get-orig-source:
	dh_testdir
	rm -rf ../sandboxgamemaker_2.5+dfsg.orig.tar.gz $(ORIG_DFSG_NAME)
	test -f $(ORIG_TARBALL) || wget http://sandboxgamemaker.com/sandbox/$(ORIG_TARBALL)
	rm -rf $(ORIG_DIRECTORY)
	unzip $(ORIG_TARBALL)
	rm -f `find $(ORIG_DIRECTORY) -iname "*.exe"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.bat"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.dll"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.lib"`
	rm -f `find $(ORIG_DIRECTORY) -iname "*.a"`
	rm -f $(ORIG_DIRECTORY)/bin/*
	-rm -r $(ORIG_DIRECTORY)/src/enet
	-rm -r $(ORIG_DIRECTORY)/src/xcode
	-rm -r $(ORIG_DIRECTORY)/src/windows
	-rm -r $(ORIG_DIRECTORY)/src/include
	-rm -r $(ORIG_DIRECTORY)/src/lib
	-rm -r $(ORIG_DIRECTORY)/packages
	-rm -r $(ORIG_DIRECTORY)/my_stuff
	-rm -r $(ORIG_DIRECTORY)/mod
	-rm -r $(ORIG_DIRECTORY)/loadback
	-rm -r $(ORIG_DIRECTORY)/data
	-rm -r $(ORIG_DIRECTORY)/concept
	-rm -r $(ORIG_DIRECTORY)/base
	rm -f $(ORIG_DIRECTORY)/LICENSE.txt #LICENSE.txt installed with sandboxgamemaker-data since it applies to the files in that package
	rm -f $(ORIG_DIRECTORY)/OSX*
	rm -f $(ORIG_DIRECTORY)/_SandBoxLauncher
	-rm -r $(ORIG_DIRECTORY)/.pc
	mv $(ORIG_DIRECTORY) $(ORIG_DFSG_NAME)
	GZIP=-9 tar cvfz ../sandboxgamemaker_2.5+dfsg.orig.tar.gz $(ORIG_DFSG_NAME)
	rm -rf $(ORIG_DFSG_NAME) $(ORIG_TARBALL)	


#.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure get-orig-source
