## sandboxgamemaker 2.6.1+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -1,3 +1,4 @@
+
 DEFINES =
 MACHINENAME=
 CXXFLAGS= -O3 -fomit-frame-pointer $(DEFINES)
@@ -23,7 +24,7 @@
 CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
 else
 CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
-CLIENT_LIBS= -Lenet -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
+CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
 endif
 ifeq ($(PLATFORM),Linux)
 CLIENT_LIBS+= -lrt
@@ -47,7 +48,6 @@
 	engine/client.o	\
 	engine/command.o \
 	engine/console.o \
-	engine/cubeloader.o \
 	engine/decal.o \
 	engine/dynlight.o \
 	engine/glare.o \
@@ -84,7 +84,7 @@
 CLIENT_OBJS+= vcpp/SDL_win32_main.o
 endif
 
-FPSCLIENT_OBJS= \
+FPSCLIENT_OBJS = \
 	fpsgame/ai.o \
 	fpsgame/client.o \
 	fpsgame/entities.o \
@@ -107,17 +107,25 @@
 
 RPGCLIENT_OBJS = \
 	rpggame/rpg.o \
-	rpggame/rpgobj.o \
+	rpggame/rpgai.o \
+	rpggame/rpgaction.o \
+	rpggame/rpgcamera.o \
+	rpggame/rpgchar.o \
+	rpggame/rpgconfig.o \
+	rpggame/rpgeffect.o \
 	rpggame/rpgentities.o \
+	rpggame/rpghud.o \
+	rpggame/rpggui.o \
+	rpggame/rpgio.o \
+	rpggame/rpgitem.o \
+	rpggame/rpgobject.o \
+	rpggame/rpgproj.o \
+	rpggame/rpgscript.o \
+	rpggame/rpgstatus.o \
 	rpggame/rpgstubs.o \
 	rpggame/rpgrender.o \
-	rpggame/rpggui.o \
-	rpggame/rpgscript.o \
-	rpggame/rpgproj.o \
-	rpggame/rpgstats.o \
-	rpggame/rpgent.o \
-	rpggame/rpgio.o \
-	rpggame/rpghud.o
+	rpggame/rpgtest.o \
+	rpggame/waypoint.o
 
 MOVIECLIENT_OBJS= \
 	moviecube/action.o \
@@ -130,16 +138,44 @@
 	moviecube/movable.o \
 	moviecube/moviecube.o \
 	moviecube/render.o \
+	moviecube/camera.o \
 	moviecube/server.o
 
-CLIENT_PCH= shared/cube.h.gch engine/engine.h.gch fpsgame/game.h.gch sspgame/sspgame.h.gch rpggame/rpggame.h.gch moviecube/game.h.gch
+
+KRSCLIENT_OBJS = \
+	krsgame/krs.o \
+	krsgame/krsai.o \
+	krsgame/krsents.o \
+	krsgame/krshud.o \
+	krsgame/krsrender.o \
+	krsgame/krsstubs.o \
+	krsgame/krsscript.o \
+	krsgame/waypoint.o
+
+PZLCLIENT_OBJS = \
+	pzlgame/pzl.o \
+	pzlgame/pzlents.o \
+	pzlgame/pzlhud.o \
+	pzlgame/pzlrender.o \
+	pzlgame/pzlstubs.o \
+	pzlgame/pzlscript.o
+
+CLIENT_PCH = \
+	shared/cube.h.gch \
+	engine/engine.h.gch \
+	fpsgame/game.h.gch \
+	sspgame/sspgame.h.gch \
+	rpggame/rpggame.h.gch \
+	moviecube/game.h.gch \
+	krsgame/krsgame.h.gch \
+	pzlgame/pzlgame.h.gch
 
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
 SERVER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
 else
 SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
-SERVER_LIBS= -Lenet -lenet -lz
+SERVER_LIBS= -Lenet/.libs -lenet -lz
 endif
 
 SERVER_OBJS= \
@@ -186,7 +222,7 @@
 all: client server
 
 enet/Makefile:
-	cd enet; ./configure
+	cd enet; ./configure --enable-shared=no --enable-static=yes
 
 libenet: enet/Makefile
 	$(MAKE)	-C enet/ all
@@ -195,7 +231,7 @@
 	$(MAKE) -C enet/ clean
 
 clean:
-	-$(RM) $(SERVER_OBJS) $(FPSSERVER_OBJS) $(MOVIESERVER_OBJS) $(CLIENT_PCH) $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(RPGCLIENT_OBJS) $(FPSCLIENT_OBJS) $(MOVIECLIENT_OBJS) $(LAUNCHER_OBJS) $(MASTER_OBJS) $(PLATFORM_PREFIX)_server_* $(PLATFORM_PREFIX)_client_*
+	-$(RM) $(SERVER_OBJS) $(FPSSERVER_OBJS) $(MOVIESERVER_OBJS) $(CLIENT_PCH) $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(RPGCLIENT_OBJS) $(FPSCLIENT_OBJS) $(MOVIECLIENT_OBJS) $(KRSCLIENT_OBJS) $(PZLCLIENT_OBJS) $(LAUNCHER_OBJS) $(MASTER_OBJS) $(PLATFORM_PREFIX)_server_* $(PLATFORM_PREFIX)_client_*
 
 %.h.gch: %.h
 	$(CXX) $(CXXFLAGS) -o $@.tmp $(subst .h.gch,.h,$@)
@@ -210,29 +246,39 @@
 $(filter engine/%,$(CLIENT_OBJS)): $(filter engine/%,$(CLIENT_PCH))
 
 $(SSPCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Isspgame
-$(filter sspgame/%,$(SSPCLIENT_OBJS)): $(filter sspgame/%,$(CLIENT_PCH))
+$(SSPCLIENT_OBJS): $(filter sspgame/%,$(CLIENT_PCH))
 
 $(FPSCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Ifpsgame
-$(filter fpsgame/%,$(FPSCLIENT_OBJS)): $(filter fpsgame/%,$(CLIENT_PCH))
+$(FPSCLIENT_OBJS): $(filter fpsgame/%,$(CLIENT_PCH))
 
 $(RPGCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Irpggame
-$(filter rpggame/%,$(RPGCLIENT_OBJS)): $(filter rpggame/%,$(CLIENT_PCH))
+$(RPGCLIENT_OBJS): $(filter rpggame/%,$(CLIENT_PCH))
 
 $(MOVIECLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Imoviecube
-$(filter moviecube/%,$(MOVIECLIENT_OBJS)): $(filter moviecube/%,$(CLIENT_PCH))
+$(MOVIECLIENT_OBJS): $(filter moviecube/%,$(CLIENT_PCH))
+
+$(KRSCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Ikrsgame
+$(KRSCLIENT_OBJS): $(filter krsgame/%,$(CLIENT_PCH))
+
+$(PZLCLIENT_OBJS): CXXFLAGS += $(CLIENT_INCLUDES) -Ipzlgame
+$(PZLCLIENT_OBJS): $(filter pzlgame/%,$(CLIENT_PCH))
 
 $(SERVER_OBJS): CXXFLAGS += $(SERVER_INCLUDES)
 $(filter-out $(SERVER_OBJS),$(MASTER_OBJS)): CXXFLAGS += $(SERVER_INCLUDES)
 
 $(FPSSERVER_OBJS): CXXFLAGS += -Ifpsgame $(SERVER_INCLUDES)
 $(MOVIESERVER_OBJS): CXXFLAGS += -Imoviecube $(SERVER_INCLUDES)
+
+#client: client-fps client-ssp client-rpg client-krs client-pzl
+client: client-fps client-ssp client-rpg client-movie client-krs client-pzl
+#server: server-fps
+server: server-fps server-movie
+
 
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 vcpp/%.o:
 	$(CXX) $(CXXFLAGS) -c -o $@ $(subst .o,.c,$@)
 
-client: client-fps client-ssp client-rpg client-movie
-
 client-fps:$(CLIENT_OBJS) $(FPSCLIENT_OBJS)
 	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
 	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_fps.exe vcpp/sandbox.res $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)
@@ -243,13 +289,20 @@
 
 client-rpg:$(CLIENT_OBJS) $(RPGCLIENT_OBJS)
 	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_rpg.exe vcpp/sandbox.res $(CLIENT_OBJS) $(RPGPCLIENT_OBJS) $(CLIENT_LIBS)
+	$(CXX) $(CXXFLAGS
+) -o ../bin/sandbox_rpg.exe vcpp/sandbox.res $(CLIENT_OBJS) $(RPGPCLIENT_OBJS) $(CLIENT_LIBS)
 
 client-movie:$(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
 	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
 	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_movie.exe vcpp/sandbox.res $(CLIENT_OBJS) $(MOVIEPCLIENT_OBJS) $(CLIENT_LIBS)
 
-server: server-fps server-movie
+client-krs:$(CLIENT_OBJS) $(KRSCLIENT_OBJS)
+	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_krs.exe vcpp/sandbox.res $(CLIENT_OBJS) $(KRSCLIENT_OBJS) $(CLIENT_LIBS)
+
+client-pzl:$(CLIENT_OBJS) $(PZLCLIENT_OBJS)
+	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_pzl.exe vcpp/sandbox.res $(CLIENT_OBJS) $(PZLCLIENT_OBJS) $(CLIENT_LIBS)
 
 server-fps:$(SERVER_OBJS) $(FPSSERVEROBJS)
 	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)
@@ -265,9 +318,6 @@
 install: all
 else
 
-client:	client-fps client-ssp client-rpg client-movie
-
-
 client-fps:libenet $(CLIENT_OBJS) $(FPSCLIENT_OBJS)
 	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_fps $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)
 
@@ -280,7 +330,11 @@
 client-movie:libenet $(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
 	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_movie $(CLIENT_OBJS) $(MOVIECLIENT_OBJS) $(CLIENT_LIBS)
 
-server:	server-fps server-movie
+client-krs:libenet $(CLIENT_OBJS) $(KRSCLIENT_OBJS)
+	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_krs $(CLIENT_OBJS) $(KRSCLIENT_OBJS) $(CLIENT_LIBS)
+
+client-pzl:libenet $(CLIENT_OBJS) $(PZLCLIENT_OBJS)
+	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_client_$(MACHINENAME)_pzl $(CLIENT_OBJS) $(PZLCLIENT_OBJS) $(CLIENT_LIBS)
 
 server-fps: libenet $(SERVER_OBJS) $(FPSSERVER_OBJS)
 	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_server_$(MACHINENAME)_fps $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)
@@ -314,6 +368,9 @@
 distclean:
 	rm -rf /usr/local/sandbox/
 	rm -f /usr/bin/sandbox
+
+engine/engine.h.gch: shared/cube.h.gch
+fpsgame/game.h.gch: shared/cube.h.gch
 
 # DO NOT DELETE
 
@@ -330,33 +387,6 @@
 engine/3dgui.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
 engine/3dgui.o: shared/ents.h shared/command.h shared/iengine.h
 engine/3dgui.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
-engine/3dgui.o: engine/bih.h engine/texture.h engine/model.h
+engine/3dgui.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
 engine/3dgui.o: engine/textedit.h
 engine/bih.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/bih.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
-engine/bih.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
-engine/bih.o: engine/texture.h engine/model.h
-engine/blend.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/blend.o: shared/ents.h shared/command.h shared/iengine.h
-engine/blend.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
-engine/blend.o: engine/bih.h engine/texture.h engine/model.h
-engine/blob.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/blob.o: shared/ents.h shared/command.h shared/iengine.h shared/igame.h
-engine/blob.o: engine/world.h engine/octa.h engine/lightmap.h engine/bih.h
-engine/blob.o: engine/texture.h engine/model.h
-engine/client.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/client.o: shared/ents.h shared/command.h shared/iengine.h
-engine/client.o: shared/igame.h engine/world.h engine/octa.h
-engine/client.o: engine/lightmap.h engine/bih.h engine/texture.h
-engine/client.o: engine/model.h
-engine/command.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/command.o: shared/ents.h shared/command.h shared/iengine.h
-engine/command.o: shared/igame.h engine/world.h engine/octa.h
-engine/command.o: engine/lightmap.h engine/bih.h engine/texture.h
-engine/command.o: engine/model.h
-engine/console.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/console.o: shared/ents.h shared/command.h shared/iengine.h
-engine/console.o: shared/igame.h engine/world.h engine/octa.h
-engine/console.o: engine/lightmap.h engine/bih.h engine/texture.h
-engine/console.o: engine/model.h
-engine/cubeloader.o: engine/engine.h shared/cube.h shared/tools.h
