=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: sandboxgamemaker
 Section: contrib/games
 Priority: optional
-Maintainer: Scott Howard <showard314@gmail.com>
+Maintainer: Scott Howard <showard@debian.org>
 DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 7.0.50~), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libenet-dev, po-debconf
-Standards-Version: 3.8.4
+Build-Depends: debhelper (>= 8), libsdl-image1.2-dev, libsdl-mixer1.2-dev, libsdl1.2-dev, libenet-dev (>= 1.3.1), po-debconf, libwxgtk2.8-dev
+Standards-Version: 3.9.2
 Homepage: http://sandboxgamemaker.com/
 Vcs-Browser: http://git.debian.org/?p=pkg-games/sandboxgamemaker.git
 Vcs-git: git://git.debian.org/git/pkg-games/sandboxgamemaker.git
