## sandboxgamemaker 2.7+dfsg

=== src/Makefile ===
--- 
+++ 
@@ -1,8 +1,8 @@
 
 DEFINES =
 MACHINENAME=
-CXXFLAGS= -O3 -fomit-frame-pointer $(DEFINES)
-override CXXFLAGS+= -Wall -fsigned-char
+CXXFLAGS= -O2 -fomit-frame-pointer $(DEFINES)
+override CXXFLAGS+= -Wall -fsigned-char -fno-exceptions -fno-rtti
 
 PLATFORM= $(shell uname -s)
 PLATFORM_PREFIX=sandbox
@@ -24,7 +24,7 @@
 CLIENT_LIBS= -mwindows -Llib -lSDL -lSDL_image -lSDL_mixer -lzdll -lopengl32 -lenet -lws2_32 -lwinmm
 else
 CLIENT_INCLUDES= $(INCLUDES) -I/usr/X11R6/include `sdl-config --cflags`
-CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL
+CLIENT_LIBS= -Lenet/.libs -lenet -L/usr/X11R6/lib `sdl-config --libs` -lSDL_image -lSDL_mixer -lz -lGL -lX11
 endif
 ifeq ($(PLATFORM),Linux)
 CLIENT_LIBS+= -lrt
@@ -80,10 +80,6 @@
 	engine/world.o \
 	engine/worldio.o
 
-ifneq (,$(findstring MINGW,$(PLATFORM)))
-CLIENT_OBJS+= vcpp/SDL_win32_main.o
-endif
-
 FPSCLIENT_OBJS = \
 	fpsgame/ai.o \
 	fpsgame/client.o \
@@ -112,19 +108,22 @@
 	rpggame/rpgcamera.o \
 	rpggame/rpgchar.o \
 	rpggame/rpgconfig.o \
+	rpggame/rpgcontainer.o \
 	rpggame/rpgeffect.o \
 	rpggame/rpgentities.o \
 	rpggame/rpghud.o \
 	rpggame/rpggui.o \
 	rpggame/rpgio.o \
 	rpggame/rpgitem.o \
-	rpggame/rpgobject.o \
+	rpggame/rpgobstacle.o \
+	rpggame/rpgplatform.o \
 	rpggame/rpgproj.o \
 	rpggame/rpgscript.o \
 	rpggame/rpgstatus.o \
 	rpggame/rpgstubs.o \
 	rpggame/rpgrender.o \
 	rpggame/rpgtest.o \
+	rpggame/rpgtrigger.o \
 	rpggame/waypoint.o
 
 MOVIECLIENT_OBJS= \
@@ -172,10 +171,12 @@
 
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 SERVER_INCLUDES= -DSTANDALONE $(INCLUDES) -Iinclude
-SERVER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
+SERVER_LIBS= -mwindows -Llib -lzdll -lenet -lws2_32 -lwinmm
+MASTER_LIBS= -Llib -lzdll -lenet -lws2_32 -lwinmm
 else
 SERVER_INCLUDES= -DSTANDALONE $(INCLUDES)
 SERVER_LIBS= -Lenet/.libs -lenet -lz
+MASTER_LIBS= $(SERVER_LIBS)
 endif
 
 SERVER_OBJS= \
@@ -183,13 +184,16 @@
 	shared/stream-standalone.o \
 	shared/tools-standalone.o \
 	engine/command-standalone.o \
-	engine/server-standalone.o
+	engine/server-standalone.o \
+	engine/worldio-standalone.o
 
 FPSSERVER_OBJS = \
+	fpsgame/entities-standalone.o \
 	fpsgame/server-standalone.o
 
 MOVIESERVER_OBJS= \
-	moviecube/server-standalone.o
+	moviecube/server-standalone.o \
+	moviecube/entities-standalone.o
 
 MASTER_OBJS= \
 	shared/crypto-standalone.o \
@@ -214,7 +218,7 @@
 $(LAUNCHER_OBJS): CXXFLAGS += $(LAUNCHER_FLAGS)
 
 pasl:   $(LAUNCHER_OBJS)
-	$(CXX) $(CXXFLAGS) $(LAUNCHER_FLAGS) -o launch $(LAUNCHER_OBJS) $(LAUNCHER_LIBS)
+	$(CXX) $(CXXFLAGS) -o launch $(LAUNCHER_OBJS) $(LAUNCHER_LIBS)
 	cp launch ../launcher
 	strip ../launcher
 	chmod +x ../launcher
@@ -269,51 +273,46 @@
 $(FPSSERVER_OBJS): CXXFLAGS += -Ifpsgame $(SERVER_INCLUDES)
 $(MOVIESERVER_OBJS): CXXFLAGS += -Imoviecube $(SERVER_INCLUDES)
 
-#client: client-fps client-ssp client-rpg client-krs client-pzl
-client: client-fps client-ssp client-rpg client-movie client-krs client-pzl
-#server: server-fps
+client: client-fps client-krs client-movie client-rpg client-ssp #client-pzl
 server: server-fps server-movie
 
 
 ifneq (,$(findstring MINGW,$(PLATFORM)))
-vcpp/%.o:
-	$(CXX) $(CXXFLAGS) -c -o $@ $(subst .o,.c,$@)
-
 client-fps:$(CLIENT_OBJS) $(FPSCLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_fps.exe vcpp/sandbox.res $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/fps.rc -J rc -o windows/resources/fps.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_fps.exe windows/resources/fps.res $(CLIENT_OBJS) $(FPSCLIENT_OBJS) $(CLIENT_LIBS)
 
 client-ssp:$(CLIENT_OBJS) $(SSPCLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_ssp.exe vcpp/sandbox.res $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/ssp.rc -J rc -o windows/resources/ssp.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_ssp.exe windows/resources/ssp.res $(CLIENT_OBJS) $(SSPCLIENT_OBJS) $(CLIENT_LIBS)
 
 client-rpg:$(CLIENT_OBJS) $(RPGCLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS
-) -o ../bin/sandbox_rpg.exe vcpp/sandbox.res $(CLIENT_OBJS) $(RPGPCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/rpg.rc -J rc -o windows/resources/rpg.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_rpg.exe windows/resources/rpg.res $(CLIENT_OBJS) $(RPGCLIENT_OBJS) $(CLIENT_LIBS)
 
 client-movie:$(CLIENT_OBJS) $(MOVIECLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_movie.exe vcpp/sandbox.res $(CLIENT_OBJS) $(MOVIEPCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/mc.rc -J rc -o windows/resources/mc.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_movie.exe windows/resources/mc.res $(CLIENT_OBJS) $(MOVIECLIENT_OBJS) $(CLIENT_LIBS)
 
 client-krs:$(CLIENT_OBJS) $(KRSCLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_krs.exe vcpp/sandbox.res $(CLIENT_OBJS) $(KRSCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/krs.rc -J rc -o windows/resources/krs.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_krs.exe windows/resources/krs.res $(CLIENT_OBJS) $(KRSCLIENT_OBJS) $(CLIENT_LIBS)
 
 client-pzl:$(CLIENT_OBJS) $(PZLCLIENT_OBJS)
-	$(WINDRES) -I vcpp -i vcpp/sandbox.rc -J rc -o vcpp/sandbox.res -O coff
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_pzl.exe vcpp/sandbox.res $(CLIENT_OBJS) $(PZLCLIENT_OBJS) $(CLIENT_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/pzl.rc -J rc -o windows/resources/pzl.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_pzl.exe windows/resources/pzl.res $(CLIENT_OBJS) $(PZLCLIENT_OBJS) $(CLIENT_LIBS)
 
 server-fps:$(SERVER_OBJS) $(FPSSERVEROBJS)
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/fps.rc -J rc -o windows/resources/fps.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe windows/resources/fps.res $(SERVER_OBJS) $(FPSSERVER_OBJS) $(SERVER_LIBS)
 
 server-movie: $(SERVER_OBJS) $(MOVIESERVER_OBJS)
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_movie.exe $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)
+	$(WINDRES) -I windows/resources -i windows/resources/mc.rc -J rc -o windows/resources/mc.res -O coff
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_movie.exe windows/resources/mc.res $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)
 
 
 master: $(MASTER_OBJS)
-	$(CXX) $(CXXFLAGS) -o ../bin/sauer_master.exe $(MASTER_OBJS) $(SERVER_LIBS)
-	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_server_fps.exe $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)
+	$(CXX) $(CXXFLAGS) -o ../bin/sandbox_master.exe $(MASTER_OBJS) $(MASTER_LIBS)
 
 install: all
 else
@@ -343,7 +342,7 @@
 	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_server_$(MACHINENAME)_movie $(SERVER_OBJS) $(MOVIESERVER_OBJS) $(SERVER_LIBS)
 
 master: libenet $(MASTER_OBJS)
-	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_master $(MASTER_OBJS) $(SERVER_LIBS)
+	$(CXX) $(CXXFLAGS) -o $(PLATFORM_PREFIX)_master $(MASTER_OBJS) $(MASTER_LIBS)
 
 
 install: all
@@ -360,14 +359,6 @@
 	makedepend -a -o.h.gch -Y -Ishared -Iengine -Ifpsgame $(subst .h.gch,.h,$(CLIENT_PCH))
 	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame -Isspgame $(subst -standalone.o,.cpp,$(SERVER_OBJS))
 	makedepend -a -o-standalone.o -Y -Ishared -Iengine -Ifpsgame $(subst -standalone.o,.cpp,$(filter-out $(SERVER_OBJS), $(MASTER_OBJS)))
-
-distinstall: install
-	chmod +x ./install.sh
-	exec ./install.sh
-
-distclean:
-	rm -rf /usr/local/sandbox/
-	rm -f /usr/bin/sandbox
 
 engine/engine.h.gch: shared/cube.h.gch
 fpsgame/game.h.gch: shared/cube.h.gch
@@ -385,8 +376,3 @@
 shared/zip.o: shared/cube.h shared/tools.h shared/geom.h shared/ents.h
 shared/zip.o: shared/command.h shared/iengine.h shared/igame.h
 engine/3dgui.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
-engine/3dgui.o: shared/ents.h shared/command.h shared/iengine.h
-engine/3dgui.o: shared/igame.h engine/world.h engine/octa.h engine/lightmap.h
-engine/3dgui.o: engine/bih.h engine/texture.h engine/model.h engine/varray.h
-engine/3dgui.o: engine/textedit.h
-engine/bih.o: engine/engine.h shared/cube.h shared/tools.h shared/geom.h
