=== debian/changelog ===
sandboxgamemaker (2.7+dfsg-1) experimental; urgency=low

  * New upstream release.

 -- Scott Howard <showard@debian.org>  Tue, 04 Oct 2011 14:38:30 -0400
