=== debian/rules ===
#!/usr/bin/make -f

ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
    MAKEFLAGS += -j$(NUMJOBS)
endif

%:
	dh $@ --parallel

override_dh_auto_build:
	$(MAKE) -C src
	$(MAKE) -C src pasl

override_dh_auto_clean:
	[ ! -f src/Makefile ] || $(MAKE) -C src clean
	rm -f src/sandbox_client src/sandbox_server
	rm -f bin/*
	rm -rf bin
	rm -f sandboxgamemaker_glauncher src/launch src/launcher/pasl.o src/launcher/paslapp.o
	dh_auto_clean

override_dh_install:
	dh_install -Xlicense

ORIG_TARBALL=PlatinumArtsSandbox2.7Multiplatform.zip
ORIG_DIRECTORY=PlatinumArtsSandbox2.7
ORIG_DFSG_NAME=sandboxgamemaker-2.7+dfsg

get-orig-source:
	dh_testdir
	#rm -rf ../sandboxgamemaker_2.7+dfsg.orig.tar.gz $(ORIG_DFSG_NAME)
	test -f $(ORIG_TARBALL) || wget http://sandboxgamemaker.com/sandbox/$(ORIG_TARBALL)
	rm -rf $(ORIG_DIRECTORY)
	unzip $(ORIG_TARBALL);\
	find PlatinumArtsSandbox2.7/ -iname "*.exe" -delete;\
	find PlatinumArtsSandbox2.7/ -iname "*.bat" -delete;\
	find PlatinumArtsSandbox2.7/ -iname "*.dll" -delete;\
	find PlatinumArtsSandbox2.7/ -iname "*.lib" -delete;\
	find PlatinumArtsSandbox2.7/ -iname "*.a" -delete;\
	rm -f $(ORIG_DIRECTORY)/bin/*;\
	rm -r $(ORIG_DIRECTORY)/src/enet;\
	rm -r $(ORIG_DIRECTORY)/src/xcode;\
	rm -r $(ORIG_DIRECTORY)/src/windows;\
	rm -r $(ORIG_DIRECTORY)/src/include;\
	rm -r $(ORIG_DIRECTORY)/src/lib;\
	rm -r $(ORIG_DIRECTORY)/packages;\
	rm -r $(ORIG_DIRECTORY)/data;\
	rm -f $(ORIG_DIRECTORY)/LICENSE.txt;\
	rm -f $(ORIG_DIRECTORY)/_SandBoxLauncher;\
	mv $(ORIG_DIRECTORY) $(ORIG_DFSG_NAME);\
	GZIP=-9 tar cvfz ../sandboxgamemaker_2.7+dfsg.orig.tar.gz $(ORIG_DFSG_NAME)
	rm -rf $(ORIG_DFSG_NAME) $(ORIG_TARBALL)	


#.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch configure get-orig-source
